#!/bin/bash

set -e

script_dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
cd "${script_dir}"

echo "Docs directory: $script_dir"

cd /Users/despiegk/hero/var/docusaurus

export PATH=/tmp/docusaurus_build/node_modules/.bin:$PATH

rm -rf /Users/despiegk/hero/var/docusaurus/build/

bun docusaurus build

rsync -rv --delete /Users/despiegk/hero/var/docusaurus/build/ root@info.ourworld.tf:/root/hero/www/info/depin/
